# FoundationClasses
TKernel
NCollection

# NCollection_BaseList::Iterator Class Reference

`#include <NCollection_BaseList.hxx>`

Inheritance diagram for NCollection_BaseList::Iterator:

[legend]

## Public Member Functions

| Iterator (void)
| Iterator (const NCollection_BaseList &theList)
void | Init (const NCollection_BaseList &theList)
Standard_Boolean | More (void) const
Iterator & | operator= (const Iterator &theIt)
Standard_Boolean | operator== (const Iterator &theIt)

## Data Fields

NCollection_ListNode * | myCurrent
NCollection_ListNode * | myPrevious

## Protected Member Functions

void | Init (const NCollection_BaseList &theList, NCollection_ListNode *const thePrev)

## Constructor & Destructor Documentation

NCollection_BaseList::Iterator::Iterator | ( | void |  | ) | `[inline]`

NCollection_BaseList::Iterator::Iterator | ( | const NCollection_BaseList & | theList | ) | `[inline]`

## Member Function Documentation

void NCollection_BaseList::Iterator::Init | ( | const NCollection_BaseList & | theList,
|  | NCollection_ListNode *const | thePrev
| ) | `[inline, protected]`

void NCollection_BaseList::Iterator::Init | ( | const NCollection_BaseList & | theList | ) | `[inline]`

Standard_Boolean NCollection_BaseList::Iterator::More | ( | void |  | ) | const`[inline]`

| Reimplemented in NCollection_TListIterator< TheItemType >.

Iterator& NCollection_BaseList::Iterator::operator= | ( | const Iterator & | theIt | ) | `[inline]`

Standard_Boolean NCollection_BaseList::Iterator::operator== | ( | const Iterator & | theIt | ) | `[inline]`

## Field Documentation

NCollection_ListNode* NCollection_BaseList::Iterator::myCurrent

NCollection_ListNode* NCollection_BaseList::Iterator::myPrevious

The documentation for this class was generated from the following file:

- NCollection_BaseList.hxx